%define module	pydbus

Name:		python-%{module}
Version:	0.6.0
Release:	%mkrel 1
Summary:	Pythonic DBus library
Group:		Development/Python
License:	LGPLv2+
URL:		https://pypi.python.org/pypi/pydbus
Source0:	https://pypi.io/packages/source/p/pydbus/%{module}-%{version}.tar.gz
# upstream fix, not yet in release
# https://github.com/LEW21/pydbus/commit/ff792feb45bbdc0dd6a9ff7453825e34b6554865
Patch1:		0001-make-direction-attribute-conforming-to-introspect.dt.patch
# patch submitted for upstream inclusion, not yet merged
# https://github.com/LEW21/pydbus/pull/63
Patch2:		0002-Support-asynchronous-calls-58.patch
# patch submitted for upstream inclusion, not yet merged
# https://github.com/LEW21/pydbus/pull/64
Patch3:		0003-Support-transformation-between-D-Bus-errors-and-exce.patch
BuildArch:	noarch

%description
The pydbus module provides pythonic DBUS bindings.
It is based on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python.

%package -n	python2-%{module}
Summary:	Pythonic DBus library
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
Requires:	pythonegg(2)(pygobject)

%description -n	python2-%{module}
The pydbus module provides pythonic DBUS bindings.
It is based on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python 2.

%package -n	python3-%{module}
Summary:	Pythonic DBus library
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
Requires:	pythonegg(3)(pygobject)

%description -n	python3-%{module}
The pydbus module provides pythonic DBUS bindings.
It is based on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python 3.

%prep
%autosetup -n %{module}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{module}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{module}-*.egg-info/
%{python2_sitelib}/%{module}/

%files -n python3-%{module}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}-*.egg-info/
%{python3_sitelib}/%{module}/


%changelog
* Tue Feb 05 2019 daviddavid <daviddavid> 0.6.0-1.mga6
+ Revision: 1363372
- branch for mga6

* Wed Jan 09 2019 shlomif <shlomif> 0.6.0-3.mga7
+ Revision: 1353879
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1289770
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1207473
- initial package python-pydbus

